ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.RenderGroup = RENDERGROUP_OPAQUE
ENT.Spawnable = false
ENT.AdminSpawnable = false
ENT.PrintName = "Conveyorbelt"
ENT.Author = "ClemensProduction aka Zerochain"
ENT.Information = "info"
ENT.Category = "Zeros RetroMiningSystem"
ENT.Model = "models/zerochain/props_mining/zrms_conveyorbelt.mdl"
ENT.GravelModel = "models/zerochain/props_mining/zrms_conveyorbelt_n_gravel.mdl"
ENT.GravelAnimTime = 6.6
ENT.AutomaticFrameAdvance = true
ENT.DisableDuplicator = false
ENT.TransportSpeed = 3
ENT.HoldAmount = zrmine.config.Belt_Capacity
ENT.TransportAmount = 5

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 2, "BuildMode")
	self:NetworkVar("Bool", 0, "HasChild")
	self:NetworkVar("String", 0, "CurrentState")
	self:NetworkVar("Int", 1, "InserterEndPart")
	self:NetworkVar("Float", 4, "OnBelt_Coal")
	self:NetworkVar("Float", 0, "OnBelt_Iron")
	self:NetworkVar("Float", 1, "OnBelt_Bronze")
	self:NetworkVar("Float", 2, "OnBelt_Silver")
	self:NetworkVar("Float", 3, "OnBelt_Gold")

	if (SERVER) then
		self:SetBuildMode(true)
		self:SetHasChild(false)
		self:SetInserterEndPart(-1)
		self:SetCurrentState("WAITING_FOR_ORDER")
		self:SetOnBelt_Coal(0)
		self:SetOnBelt_Iron(0)
		self:SetOnBelt_Bronze(0)
		self:SetOnBelt_Silver(0)
		self:SetOnBelt_Gold(0)
	end
end
